xn::ModuleGeneralIntInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual XnStatus | GetRange (const XnChar *strCap, XnInt32 &nMin, XnInt32 &nMax, XnInt32 &nStep, XnInt32 &nDefault, XnBool &bIsAutoSupported)=0
virtual XnStatus | Get (const XnChar *strCap, XnInt32 &nValue)=0
virtual XnInt32 | Set (const XnChar *strCap, XnInt32 nValue)=0
virtual XnStatus | RegisterToValueChange (const XnChar *strCap, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromValueChange (const XnChar *strCap, XnCallbackHandle hCallback)=0

## Member Function Documentation

## Get()

virtual XnStatus xn::ModuleGeneralIntInterface::Get | ( | const XnChar * | strCap,
|  | XnInt32 & | nValue )

pure virtual

## GetRange()

virtual XnStatus xn::ModuleGeneralIntInterface::GetRange | ( | const XnChar * | strCap,
|  | XnInt32 & | nMin,
|  | XnInt32 & | nMax,
|  | XnInt32 & | nStep,
|  | XnInt32 & | nDefault,
|  | XnBool & | bIsAutoSupported )

pure virtual

## RegisterToValueChange()

virtual XnStatus xn::ModuleGeneralIntInterface::RegisterToValueChange | ( | const XnChar * | strCap,
|  | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## Set()

virtual XnInt32 xn::ModuleGeneralIntInterface::Set | ( | const XnChar * | strCap,
|  | XnInt32 | nValue )

pure virtual

## UnregisterFromValueChange()

virtual void xn::ModuleGeneralIntInterface::UnregisterFromValueChange | ( | const XnChar * | strCap,
|  | XnCallbackHandle | hCallback )

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h